<?php

use CL\Daos\CourseSyncDao;

//Moodle's files
require(__DIR__ . '/../../config.php');

//CL and dependencies
require 'vendor/autoload.php';


$courseId = required_param('course_id', PARAM_INT);

require_login($courseId);
require_sesskey();
require_capability('block/campuslabs_course_sync:view', context_course::instance($courseId));

$course = new CourseSyncDao();
$response = $course->sendToCampusLabs($courseId);

//Javascript is disabled
if (empty($_SERVER['HTTP_X_REQUESTED_WITH']) || strtolower($_SERVER['HTTP_X_REQUESTED_WITH']) != 'xmlhttprequest') {
    $redirectUrl = $CFG->wwwroot . '/course/view.php?id=' . $courseId;
    $redirectTimeInSeconds = 5;

    if (!$response->error) {
        redirect($redirectUrl, "Successfully synced course section information to Campus Labs. Redirecting to course page.", $redirectTimeInSeconds);
    } else {
        redirect($redirectUrl, "An error has occurred.  Please contact support@campuslabs.com", $redirectTimeInSeconds);
    }
} else {
    http_response_code($response->http_status_code ?: 500);
}
