<?php


namespace CL\Models;


class CourseSection
{

    private $name;
    private $identifier;
    private $description;
    private $beginDate;
    private $endDate;
    private $lmsName;
    private $enrollments;
    private $instructors;
    private $assignments;

    public function __construct($name, $identifier, $description, $beginDate, $endDate)
    {
        $this->name = $name;
        $this->identifier = $identifier;
        $this->description = $description;
        $this->beginDate = $beginDate;
        $this->endDate = $endDate;
        $this->lmsName = "Moodle";
        $this->enrollments = array();
        $this->instructors = array();
        $this->assignments = array();
    }

    public function addEnrollment(User $enrollment)
    {
        $this->enrollments[] = $enrollment;
    }

    public function addInstructor(User $instructor)
    {
        $this->instructors[] = $instructor;
    }

    public function addAssignment(Assignment $assignment)
    {
        $this->assignments[] = $assignment;
    }

    public function toJson()
    {
        return json_encode(get_object_vars($this));
    }

}